using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ekskurzija
{
    class Program
    {
        static void Main(string[] args)
        {
            int T, N, M, K;
            T = int.Parse(Console.ReadLine());
            bool[] Moze = new bool[T];
            for (int i = 0; i < T; i++)
            {
                string[] x = Console.ReadLine().Split();
                N = int.Parse(x[0]);
                M = int.Parse(x[1]);
                K = int.Parse(x[2]);
                int PoGrupi = N / K;
                Moze[i] = true;
                for (int j = 0; j < K; j++)
                {
                    int uGrupi;
                    
                    if(N-PoGrupi>=0)
                    {
                        uGrupi = PoGrupi;
                        N -= PoGrupi;
                    }
                    else
                    {
                        uGrupi = N;
                        N = 0;
                    }
                    int[] BPoOsobi = new int[uGrupi];
                    for (int k = 0; k < uGrupi; k++)
                    {
                        if(M-k-1>=0)
                        {
                            M -= k + 1;
                            BPoOsobi[k] = k + 1;
                        }
                        else
                        {
                            Moze[i] = false;
                        }
                    }
                    Array.Sort(BPoOsobi);
                    for (int k = 0; k < BPoOsobi.Length - 1; k++)
                    {
                        if (BPoOsobi[k] == BPoOsobi[k + 1])
                        {
                            Moze[i] = false;
                        }
                    }
                }
            }
            for (int i = 0; i < T; i++)
            {
                if(Moze[i])
                {
                    Console.WriteLine("Tak");
                }
                else
                {
                    Console.WriteLine("Nie");
                }
            }
            Console.ReadLine();
        }
    }
}